Bug 20670 - libtermcap.so from libtermcap-devel-2.0.8-25 doesn4t export any symbols
Summary: libtermcap.so from libtermcap-devel-2.0.8-25 doesn4t export any symbols
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libtermcap   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Raszyk
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-11 03:08 UTC by Fritz Elfert
Modified: 2015-01-07 23:42 UTC (History)
1 user (show)

Fixed In Version: libtermcap 2.0.8 Release 42.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 14:40:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fritz Elfert 2000-11-11 03:08:59 UTC
Some users of my plptools package (http://plptools.sourceforge.net)
complain that this is not compilable under RH 7.0. It uses GNU readline
which in turn usually needs libtermcap
for some termcap stuff. On RH7.0, libtermcap.so doesn4t export any symbols
?! (Try a nm and you4ll see yourself.) Resulting from that, libreadline
doesn4t depend on libtermcap and therefore linkage fails. On my older RH
system, nm libtermcap exports among others
the symbols BC, PC and UP which are needed by libreadline and also a ldd
libreadline.so
shows correct depencies. On RH7.0 ldd libreadline.so only lists libc and
ld-linux.

Thanks
 -Fritz

Comment 1 Petr Raszyk 2005-12-19 14:40:32 UTC
In current release (libtermcap-2.0.8, FEDORA CORE)
libtermcap defines and exports BC, PC and UP.
It does not set a value of these 'globals'.



Note You need to log in before you can comment on or make changes to this bug.